Base Language - Feature #4391

enhance existing SESSION:STARTUP-PARAMETERS support to honor -H -db -S -Id -N values
11/08/2019 03:49 PM - Greg Shah

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Theodoros Theodorou % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

billable: No version:

vendor_id: GCD

Description

Related issues:

Related to Base Language - Feature #6425: SESSION handle features Closed
Related to Base Language - Feature #4162: enhance existing SESSION:STARTUP-PA... Closed
Related to Runtime Infrastructure - Feature #7675: add missing runtime suppor... New
History

#1 - 02/06/2020 01:58 PM - Roger Borrello

There are a few tasks related to START-PARAMETERS, so it's challenging to get an overall status. It looks like trunk-11342 has full conversion
support and partial runtime support for prog.kw_stup_par. #3812 and #4162 as well as this one.

Is the work focused on main/LegacyCLl.java for adding support for options? It looks to me like -rereadnolock and -icfparam are supported (even
though the comment indicates "only rereadnolock command line parameter is supported".

The contents of .pf files (ABL default startup pf in $DLC/startup.pf, SPROSTARTUP environment variable, and user-specified .pf file) are supposed to
app in this attribute, along with any specified on the command line. Are we supporting those methods of passing parameters?

It doesn't look like our implementation of util/NumEntries.java applies to the SESSION:STARTUP-PARAMETERS attribute.

#2 - 02/06/2020 02:19 PM - Roger Borrello

Roger Borrello wrote:

It doesn't look like our implementation of util/NumEntries.java applies to the SESSION:STARTUP-PARAMETERS attribute.

Never-mind on this point. It looks fine.

#3 - 02/06/2020 02:32 PM - Greg Shah
https://proj.goldencode.com/issues/3812
https://proj.goldencode.com/issues/4162

It looks like trunk-11342 has full conversion support and partial runtime support for prog.kw_stup_par.

Yes. Hint: if all you care about (at this time) is conversion support, then you can ignore this task.

Is the work focused on main/LegacyCLl.java for adding support for options? It looks to me like -rereadnolock and -icfparam are supported (even
though the comment indicates "only rereadnolock command line parameter is supported”.

Yes.

The lookup of an option may be form the runtime instead of from the directory. But the point here is to add support for those options which FWD can
support. Then LegacyCLI maps that into a compatible STARTUP-PARAMETERS string.

The contents of .pf files (ABL default startup pf in $DLC/startup.fp, $PROSTARTUP environment variable, and user-specified .pf file) are
supposed to app in this attribute, along with any specified on the command line. Are we supporting those methods of passing parameters?

These have no meaning in FWD, so we don't care about them. In addition, even LegacyCLI is NOT about passing parameters, right? It is about
reporting various state as if these were passed on the now-non-existent legacy command line.

It doesn't look like our implementation of util/NumEntries.java applies to the SESSION:STARTUP-PARAMETERS attribute.

I think you are confusing the NUM-ENTRIES() built-in function with the NUM-ENTRIES attribute. util/NumEntries.java is related to the attribute and
has nothing to do with STARTUP-PARAMETERS.

#4 - 05/26/2022 05:15 PM - Greg Shah
- Related to Feature #6425: SESSION handle features added

#5 - 06/06/2023 06:06 PM - Roger Borrello
- Related to Feature #4162: enhance existing SESSION:STARTUP-PARAMETERS support to honor -ininame value added

#6 - 06/26/2023 02:02 PM - Greg Shah

- Assignee set to Theodoros Theodorou

Please use branch 4938a.

#7 - 07/04/2023 07:13 PM - Theodoros Theodorou
- Status changed from New to WIP

- % Done changed from 0 to 100

#8 - 07/04/2023 07:13 PM - Theodoros Theodorou

- Status changed from WIP to Review

#10 - 07/10/2023 03:24 PM - Greg Shah

The code review for these changes (in branch 4938b) can be seen in #4938-225.

#11 - 08/11/2023 10:50 AM - Greg Shah

- Related to Feature #7675: add missing runtime support for 4GL command line parameters added

#12 - 08/11/2023 10:52 AM - Greg Shah

- Status changed from Review to Closed

The changes for this task were written in branch 4938b and were merged into trunk as revision 14688. Runtime support will be implemented in #7675
